Relesys API Docs

v1.4

https://api.uat.relesystest.net/api/v1.4

Courses

Get Courses
GET /training/courses
https://api.uat.relesystest.net/api/v1.4/training/courses
Get a list of Courses
Scopes: relesys.api, relesys.api:read, relesys.api.training, relesys.api.training:read
Query String
courseGroupId string / guid Filterable optional
creationDateTime datetimeoffset Filterable Sortable optional
id string / guid Filterable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
name string Filterable Sortable optional
performanceScoreRequired integer Filterable Sortable optional
phaseId string / guid Filterable optional
sortOrder integer Filterable Sortable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"1f0e9b0b-0ce4-41c0-a461-6e1f186569f9","courseGroupId":"44818947-f32a-4772-b61f-46805cf3abaa","phaseId":"503b6829-8603-4797-8ea9-2730eddd2d9a","creationDateTime":"2020-06-02T22:00:00+00:00","lastModifiedDateTime":"2020-11-08T22:00:00+00:00","name":"Training Course","performanceScoreRequired":95},{"id":"22024e26-607b-4e55-90a3-57fe3aa4d9dd","courseGroupId":"ec1d15b5-6931-4307-9215-9e5c6e92ae1d","phaseId":"68f4bc32-0a32-49b2-967a-81440d8e8ca1","creationDateTime":"2020-08-15T22:00:00+00:00","lastModifiedDateTime":"2020-10-19T22:00:00+00:00","name":"Training E-Learning","performanceScoreRequired":80}]}
object
  count integer      
  ⯈ data array[object]      
   courseGroupId string / guid      
   creationDateTime datetimeoffset      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   name string      
   performanceScoreRequired integer      
   phaseId string / guid      
  nextUrl string      
  previousUrl string